<template>
	<view class="billall">
		<view class="u-listdata">
			<view style="padding:16rpx 0 16rpx 32rpx">
				共有 <span style="color: red">{{totalnumber}}</span>条记录
			</view>
			<u-list @scrolltolower="scrolltolower" :pagingEnabled='true'
			 style="height:400px;flex:1;">
				<u-list-item v-for="(item, index) in indexList" :key="index">
					<view class="companylist" @click="seedetail(item)">
						<view class="settled">
							查看
						</view>
						<h3>
						{{item.channelName}}
						</h3>
						<view class="Currentamount">
							通道号: {{item.channelNo}}
						</view>
						<view class="Currentamount">
							设备序列号: {{item.deviceSerial}}
						</view>
						<!-- <view class="Currentamount">
							直播地址: {{item.url}}
						</view> -->
					
					</view>

				</u-list-item>
			</u-list>

		</view>


	</view>
</template>

<script>
	//import { isEmpty, getDictDataList } from "@/utils/index";
	export default {
		components: {

		},
		data() {

			return {
				totalnumber: 0,
				setyesno: true,
				indexList: [],
				dataList: [],
				dataForm: {
					"accessToken": "",
					"channelNo": "",
					"deviceSerial": "",
					"expireTime": "3600",
					"pageSize": 10,
					"pageStart": 0,
					"protocol": 1
				},
				pd: true,
				showtype: false,
				showdct: false,
				mytitle: '',
				alldata: [],
				showfloor: false,
				loading: false,
				columns: [],
				columnData: [],
				myday: '',
				mytype: '全部',
				showPicker: false,
				//myday: currentDate,
				columnstype: [
					[{
							label: '全部',
							id: ''

						}, {
							label: '已关闭',
							id: '-1'
						},
						{
							label: '待支付',
							id: '0'
						},
						{
							label: '已支付',
							id: '1'
						},
					]
				],



			}
		},
		//监听页面加载，其参数为上个页面传递的数据，参数类型为 Object（用于页面传参
		onLoad() {
			this.getalldata();
			//	this.loadmore();
		},
		//监听页面初次渲染完成。注意如果渲染速度快，会在页面进入动画完成前触发
		onReady() {
			// 微信小程序需要用此写法

		},

		//监听页面隐藏
		onHide() {},
		//监听窗口尺寸变化
		onResize() {},
		//监听页面卸载
		onUnload() {},
		//监听用户下拉动作，一般用于下拉刷新
		onPullDownRefresh() {},


		methods: {
			seedetail(e) {
				uni.navigateTo({
					url: `/pages/Workorder/Videosurveillance/Videoplayback/Videoplayback?companyOrgId=${e.url}`
				});
			},

			scrolltolower() {
				if (this.pd) {
					this.getalldata();
				} else {
					return
				}
			},

			getalldata() {
				this.$api.post('/video/page', this.dataForm)
					.then(res => {
					//	console.log('111111111111111111', res.data.data)

						this.totalnumber = res.data.data.total;
						if (res.data.data.list.length != 0) {
							this.indexList.push(...res.data.data.list);
							this.dataForm.pageStart = this.dataForm.pageStart + 1;
							this.pd = true;
						} else {
							uni.showToast({
								title: '暂无更多数据了',
								icon: 'none',
								duration: 1500
							})
							this.pd = false;
						}
					})
			},

			// canceltype() {
			// 	this.showtype = false;
			// },
			// confirmtype(e) {
			// 	console.log('111111111111111111', e.value[0])
			// 	this.showtype = false;
			// 	this.mytype = e.value[0].label;
			// 	this.dataForm.status = e.value[0].id;
			// 	this.indexList = [];
			// 	this.dataForm.page = 1;
			// 	this.getalldata();
			// },
			// typechange() {
			// 	this.showtype = true;
			// },






		}
	}
</script>

<style lang="scss">
	.billall{height:100%}
	.u-listdata{
		    height: 100%;
		    display: flex;
		    flex-direction: column;
	}
	.companylist {
		margin: 0 32rpx 24rpx;
		background: #fff;
		padding: 24rpx 32rpx;
		border-radius: 8rpx;
		position: relative;
	
		h3 {
			margin-bottom: 16rpx;
		}
		.settled{
			width: 96rpx;
			height: 56rpx;
			border: 1px solid #2E69EB;
			color: #2E69EB;
			font-size: 24rpx;
			border-radius: 8rpx;
			text-align: center;
			line-height: 56rpx;
			position: absolute;
			right: 32rpx;
			bottom: 24rpx;
		}
		.Currentamount {
			margin-bottom: 8rpx;
			color: #999;
	
			span {
				color: #FA5555;
				padding-left: 9rpx;
			}
		}
	
	}
</style>
